package flink.zanxiangnet.ad.monitoring.pojo;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class PlanInfo {

    /**
     * 统计时间
     */
    private Long statTime;

    /**
     * 统计的日期
     */
    private LocalDate statDay;

    /**
     * 统计的小时
     */
    private Integer hour;

    /**
     * 腾讯广告应用的账号 id
     */
    private Long accountId;

    /**
     * 计划 id
     */
    private Long campaignId;

    /**
     * 计划中的广告组
     */
    private List<AdGroupInfo> adGroupList;
}
