package flink.zanxiangnet.ad.monitoring.pojo;

import com.google.gson.annotations.SerializedName;
import lombok.Data;

@Data
public class StatInfo {
    @SerializedName("cost_deviation_rate")
    private Double costDeviationRate;

    @SerializedName("cost")
    private Long cost;

    @SerializedName("compensation_amount")
    private Long compensationAmount;

    @SerializedName("view_count")
    private Long viewCount;

    @SerializedName("thousand_display_price")
    private Long thousandDisplayPrice;

    @SerializedName("avg_view_per_user")
    private Double avgViewPerUser;

    @SerializedName("special_page_exp_uv")
    private Long specialPageExpUv;

    @SerializedName("special_page_exp_cost")
    private Long specialPageExpCost;

    @SerializedName("valid_click_count")
    private Long validClickCount;

    @SerializedName("ctr")
    private Double ctr;

    @SerializedName("cpc")
    private Long cpc;

    @SerializedName("valuable_click_count")
    private Long valuableClickCount;

    @SerializedName("valuable_click_rate")
    private Double valuableClickRate;

    @SerializedName("valuable_click_cost")
    private Long valuableClickCost;

    @SerializedName("click_image_count")
    private Long clickImageCount;

    @SerializedName("image_click_user_count")
    private Long imageClickUserCount;

    @SerializedName("video_play_count")
    private Long videoPlayCount;

    @SerializedName("video_click_user_count")
    private Long videoClickUserCount;

    @SerializedName("click_detail_count")
    private Long clickDetailCount;

    @SerializedName("link_click_user_count")
    private Long linkClickUserCount;

    @SerializedName("click_head_count")
    private Long clickHeadCount;

    @SerializedName("portrait_click_user_count")
    private Long portraitClickUserCount;

    @SerializedName("click_nick_count")
    private Long clickNickCount;




    @SerializedName("download_count")
    private Long downloadCount;

    @SerializedName("activated_count")
    private Long activatedCount;

    @SerializedName("activated_rate")
    private Double activatedRate;

    @SerializedName("key_page_view_cost")
    private Long keyPageViewCost;

    @SerializedName("coupon_click_count")
    private Long couponClickCount;

    @SerializedName("coupon_issue_count")
    private Long couponIssueCount;

    @SerializedName("coupon_get_count")
    private Long couponGetCount;

    @SerializedName("platform_page_view_count")
    private Long platformPageViewCount;

    @SerializedName("platform_page_view_rate")
    private Double platformPageViewRate;

    @SerializedName("web_commodity_page_view_count")
    private Long webCommodityPageViewCount;

    @SerializedName("web_commodity_page_view_cost")
    private Long webCommodityPageViewCost;

    @SerializedName("web_register_count")
    private Long webRegisterCount;

    @SerializedName("page_consult_count")
    private Long pageConsultCount;

    @SerializedName("page_consult_cost")
    private Long pageConsultCost;

    @SerializedName("page_phone_call_direct_count")
    private Long pagePhoneCallDirectCount;

    @SerializedName("page_phone_call_direct_cost")
    private Long pagePhoneCallDirectCost;

    @SerializedName("page_phone_call_back_count")
    private Long pagePhoneCallBackCount;

    @SerializedName("page_phone_call_back_cost")
    private Long pagePhoneCallBackCost;

    @SerializedName("own_page_navigation_count")
    private Long ownPageNavigationCount;

    @SerializedName("own_page_navi_cost")
    private Long ownPageNaviCost;

    @SerializedName("platform_page_navigation_count")
    private Long platformPageNavigationCount;

    @SerializedName("platform_page_navigation_cost")
    private Long platformPageNavigationCost;

    @SerializedName("platform_shop_navigation_count")
    private Long platformShopNavigationCount;

    @SerializedName("platform_shop_navigation_cost")
    private Long platformShopNavigationCost;

    @SerializedName("web_application_count")
    private Long webApplicationCount;

    @SerializedName("web_application_cost")
    private Long webApplicationCost;

    @SerializedName("page_reservation_count")
    private Long pageReservationCount;

    @SerializedName("page_reservation_rate")
    private Double pageReservationRate;

    @SerializedName("page_reservation_cost")
    private Long pageReservationCost;

    @SerializedName("page_reservation_cost_with_people")
    private Long pageReservationCostWithPeople;

    @SerializedName("add_to_cart_price")
    private Long addToCartPrice;

    @SerializedName("own_page_coupon_get_count")
    private Long ownPageCouponGetCount;

    @SerializedName("own_page_coupon_get_cost")
    private Long ownPageCouponGetCost;

    @SerializedName("platform_coupon_get_count")
    private Long platformCouponGetCount;

    @SerializedName("platform_coupon_get_cost")
    private Long platformCouponGetCost;

    @SerializedName("web_order_count")
    private Long webOrderCount;

    @SerializedName("web_order_rate")
    private Double webOrderRate;

    @SerializedName("app_order_rate")
    private Double appOrderRate;

    @SerializedName("web_order_cost")
    private Long webOrderCost;

    @SerializedName("web_checkout_amount")
    private Long webCheckoutAmount;

    @SerializedName("web_checkout_count")
    private Long webCheckoutCount;

    @SerializedName("web_checkout_cost")
    private Long webCheckoutCost;

    @SerializedName("order_amount")
    private Long orderAmount;

    @SerializedName("order_unit_price")
    private Long orderUnitPrice;

    @SerializedName("order_roi")
    private Double orderRoi;

    @SerializedName("deliver_count")
    private Long deliverCount;

    @SerializedName("deliver_cost")
    private Long deliverCost;

    @SerializedName("sign_in_count")
    private Long signInCount;

    @SerializedName("sign_in_cost")
    private Long signInCost;

    @SerializedName("download_rate")
    private Double downloadRate;

    @SerializedName("download_cost")
    private Long downloadCost;

    @SerializedName("install_count")
    private Long installCount;

    @SerializedName("install_cost")
    private Long installCost;

    @SerializedName("click_activated_rate")
    private Double clickActivatedRate;

    @SerializedName("activated_cost")
    private Long activatedCost;

    @SerializedName("retention_count")
    private Long retentionCount;

    @SerializedName("retention_rate")
    private Double retentionRate;

    @SerializedName("app_key_page_retention_rate")
    private Double appKeyPageRetentionRate;

    @SerializedName("retention_cost")
    private Long retentionCost;

    @SerializedName("key_page_view_count")
    private Long keyPageViewCount;

    @SerializedName("app_commodity_page_view_count")
    private Long appCommodityPageViewCount;

    @SerializedName("app_commodity_page_view_rate")
    private Double appCommodityPageViewRate;

    @SerializedName("web_commodity_page_view_rate")
    private Double webCommodityPageViewRate;

    @SerializedName("app_commodity_page_view_cost")
    private Long appCommodityPageViewCost;

    @SerializedName("app_register_count")
    private Long appRegisterCount;

    @SerializedName("app_register_cost")
    private Long appRegisterCost;

    @SerializedName("web_register_cost")
    private Long webRegisterCost;

    @SerializedName("app_application_count")
    private Long appApplicationCount;

    @SerializedName("app_application_cost")
    private Long appApplicationCost;

    @SerializedName("app_add_to_cart_count")
    private Long appAddToCartCount;

    @SerializedName("add_to_cart_amount")
    private Long addToCartAmount;

    @SerializedName("app_add_to_cart_cost")
    private Long appAddToCartCost;

    @SerializedName("app_order_count")
    private Long appOrderCount;

    @SerializedName("app_order_cost")
    private Long appOrderCost;

    @SerializedName("app_checkout_count")
    private Long appCheckoutCount;

    @SerializedName("app_checkout_amount")
    private Long appCheckoutAmount;

    @SerializedName("app_checkout_cost")
    private Long appCheckoutCost;

    @SerializedName("platform_coupon_click_count")
    private Long platformCouponClickCount;

    @SerializedName("platform_coupon_get_rate")
    private Double platformCouponGetRate;

    @SerializedName("coupon_usage_number")
    private Long couponUsageNumber;

    @SerializedName("coupon_usage_cost")
    private Long couponUsageCost;

    @SerializedName("coupon_usage_rate")
    private Double couponUsageRate;

    @SerializedName("coupon_purchase_rate")
    private Double couponPurchaseRate;

    @SerializedName("follow_count")
    private Long followCount;

    @SerializedName("follow_cost")
    private Long followCost;

    @SerializedName("forward_count")
    private Long forwardCount;

    @SerializedName("forward_cost")
    private Long forwardCost;

    @SerializedName("read_count")
    private Long readCount;

    @SerializedName("read_cost")
    private Long readCost;

    @SerializedName("praise_count")
    private Long praiseCount;

    @SerializedName("praise_cost")
    private Long praiseCost;

    @SerializedName("comment_count")
    private Long commentCount;

    @SerializedName("comment_cost")
    private Long commentCost;

    @SerializedName("inte_phone_count")
    private Long intePhoneCount;

    @SerializedName("phone_call_count")
    private Long phoneCallCount;

    @SerializedName("external_form_reservation_count")
    private Long externalFormReservationCount;

    @SerializedName("app_ad_paying_users")
    private Long appAdPayingUsers;

    @SerializedName("ad_pur_val_web")
    private Long adPurValWeb;

    @SerializedName("ad_pur_val_app")
    private Long adPurValApp;

    @SerializedName("order_24h_count")
    private Long order24hCount;

    @SerializedName("order_24h_rate")
    private Double order24hRate;

    @SerializedName("order_24h_cost")
    private Long order24hCost;

    @SerializedName("order_24h_amount")
    private Long order24hAmount;

    @SerializedName("order_24h_roi")
    private Double order24hRoi;

    @SerializedName("game_create_role_count")
    private Long gameCreateRoleCount;

    @SerializedName("game_authorize_count")
    private Long gameAuthorizeCount;

    @SerializedName("game_tutorial_finish_count")
    private Long gameTutorialFinishCount;

    @SerializedName("effective_leads_count")
    private Long effectiveLeadsCount;

    @SerializedName("effective_cost")
    private Long effectiveCost;

    @SerializedName("effective_reserve_count")
    private Long effectiveReserveCount;

    @SerializedName("effective_consult_count")
    private Long effectiveConsultCount;

    @SerializedName("effective_phone_count")
    private Long effectivePhoneCount;

    @SerializedName("potential_reserve_count")
    private Long potentialReserveCount;

    @SerializedName("potential_consult_count")
    private Long potentialConsultCount;

    @SerializedName("potential_phone_count")
    private Long potentialPhoneCount;

    @SerializedName("app_checkout_rate")
    private Double appCheckoutRate;

    @SerializedName("web_checkout_rate")
    private Double webCheckoutRate;

    @SerializedName("app_activated_checkout_rate")
    private Double appActivatedCheckoutRate;

    @SerializedName("web_activated_checkout_rate")
    private Double webActivatedCheckoutRate;

    @SerializedName("app_register_rate")
    private Double appRegisterRate;

    @SerializedName("web_reg_rate")
    private Double webRegRate;

    @SerializedName("page_phone_call_direct_rate")
    private Double pagePhoneCallDirectRate;

    @SerializedName("page_phone_call_back_rate")
    private Double pagePhoneCallBackRate;

    @SerializedName("page_consult_rate")
    private Double pageConsultRate;

    @SerializedName("deliver_rate")
    private Double deliverRate;

    @SerializedName("install_rate")
    private Double installRate;

    @SerializedName("arppu_cost")
    private Long arppuCost;

    @SerializedName("arpu_cost")
    private Long arpuCost;

    @SerializedName("web_arppu_cost")
    private Long webArppuCost;

    @SerializedName("web_arpu_cost")
    private Long webArpuCost;

    @SerializedName("app_ad_pur_arpu_cost")
    private Long appAdPurArpuCost;

    @SerializedName("app_ad_pur_arppu_cost")
    private Long appAdPurArppuCost;

    @SerializedName("web_ad_pur_arpu_cost")
    private Long webAdPurArpuCost;

    @SerializedName("cheout_fd")
    private Long cheoutFd;

    @SerializedName("cheout_td")
    private Long cheoutTd;

    @SerializedName("cheout_ow")
    private Long cheoutOw;

    @SerializedName("cheout_tw")
    private Long cheoutTw;

    @SerializedName("cheout_om")
    private Long cheoutOm;

    @SerializedName("cheout_fd_reward")
    private Double cheoutFdReward;

    @SerializedName("cheout_td_reward")
    private Double cheoutTdReward;

    @SerializedName("cheout_ow_reward")
    private Double cheoutOwReward;

    @SerializedName("cheout_tw_reward")
    private Double cheoutTwReward;

    @SerializedName("cheout_om_reward")
    private Double cheoutOmReward;

    @SerializedName("cheout_total_reward")
    private Double cheoutTotalReward;

    @SerializedName("from_follow_uv")
    private Long fromFollowUv;

    @SerializedName("from_follow_cost")
    private Long fromFollowCost;

    @SerializedName("add_desktop_pv")
    private Long addDesktopPv;

    @SerializedName("add_desktop_cost")
    private Long addDesktopCost;

    @SerializedName("first_pay_count")
    private Long firstPayCount;

    @SerializedName("first_pay_rate")
    private Double firstPayRate;

    @SerializedName("pre_cre_web")
    private Long preCreWeb;

    @SerializedName("pre_cre_app")
    private Long preCreApp;

    @SerializedName("pre_cre_web_val")
    private Long preCreWebVal;

    @SerializedName("pre_cre_app_val")
    private Long preCreAppVal;

    @SerializedName("cre_web")
    private Long creWeb;

    @SerializedName("cre_app")
    private Long creApp;

    @SerializedName("cre_web_val")
    private Long creWebVal;

    @SerializedName("cre_app_val")
    private Long creAppVal;

    @SerializedName("withdr_dep_web")
    private Long withdrDepWeb;

    @SerializedName("withdr_dep_app")
    private Long withdrDepApp;

    @SerializedName("withdr_dep_web_val")
    private Long withdrDepWebVal;

    @SerializedName("withdr_dep_app_val")
    private Long withdrDepAppVal;

    @SerializedName("first_pay_cost")
    private Long firstPayCost;

    @SerializedName("landing_page_click_count")
    private Long landingPageClickCount;

    @SerializedName("web_cart_amount")
    private Long webCartAmount;

    @SerializedName("scan_follow_count")
    private Long scanFollowCount;

    @SerializedName("scan_follow_user_count")
    private Long scanFollowUserCount;

    @SerializedName("scan_follow_user_cost")
    private Long scanFollowUserCost;

    @SerializedName("scan_follow_user_rate")
    private Double scanFollowUserRate;

    @SerializedName("app_order_amount")
    private Long appOrderAmount;

    @SerializedName("web_order_amount")
    private Long webOrderAmount;

    @SerializedName("phone_consult_count")
    private Long phoneConsultCount;

    @SerializedName("tool_consult_count")
    private Long toolConsultCount;

    @SerializedName("lottery_leads_count")
    private Long lotteryLeadsCount;

    @SerializedName("lottery_leads_cost")
    private Long lotteryLeadsCost;

    @SerializedName("conversions_count")
    private Long conversionsCount;

    @SerializedName("conversions_rate")
    private Double conversionsRate;

    @SerializedName("conversions_cost")
    private Long conversionsCost;

    @SerializedName("deep_conversions_count")
    private Long deepConversionsCount;

    @SerializedName("deep_conversions_rate")
    private Double deepConversionsRate;

    @SerializedName("deep_conversions_cost")
    private Long deepConversionsCost;

    @SerializedName("first_memcard_web_count")
    private Long firstMemcardWebCount;

    @SerializedName("first_memcard_app_count")
    private Long firstMemcardAppCount;

    @SerializedName("memcard_web_count")
    private Long memcardWebCount;

    @SerializedName("memcard_app_count")
    private Long memcardAppCount;

    @SerializedName("first_memcard_web_rate")
    private Double firstMemcardWebRate;

    @SerializedName("first_memcard_app_rate")
    private Double firstMemcardAppRate;

    @SerializedName("first_memcard_web_cost")
    private Long firstMemcardWebCost;

    @SerializedName("first_memcard_app_cost")
    private Long firstMemcardAppCost;

    @SerializedName("click_poi_count")
    private Long clickPoiCount;

    @SerializedName("video_inner_play_count")
    private Long videoInnerPlayCount;

    @SerializedName("lan_button_click_count")
    private Long lanButtonClickCount;

    @SerializedName("lan_jump_button_clickers")
    private Long lanJumpButtonClickers;

    @SerializedName("lan_jump_button_click_cost")
    private Long lanJumpButtonClickCost;

    @SerializedName("lan_jump_button_ctr")
    private Double lanJumpButtonCtr;

    @SerializedName("lan_button_click_cost")
    private Long lanButtonClickCost;

    @SerializedName("cpn_click_button_count")
    private Long cpnClickButtonCount;

    @SerializedName("cpn_click_button_uv")
    private Long cpnClickButtonUv;

    @SerializedName("key_page_uv")
    private Long keyPageUv;

    @SerializedName("view_commodity_page_uv")
    private Long viewCommodityPageUv;

    @SerializedName("effect_leads_purchase_count")
    private Long effectLeadsPurchaseCount;

    @SerializedName("reservation_uv")
    private Long reservationUv;

    @SerializedName("overall_leads_purchase_count")
    private Long overallLeadsPurchaseCount;

    @SerializedName("leads_purchase_count")
    private Long leadsPurchaseCount;

    @SerializedName("leads_purchase_rate")
    private Double leadsPurchaseRate;

    @SerializedName("leads_purchase_cost")
    private Long leadsPurchaseCost;

    @SerializedName("leads_purchase_uv")
    private Long leadsPurchaseUv;

    @SerializedName("valid_leads_uv")
    private Long validLeadsUv;

    @SerializedName("phone_call_uv")
    private Long phoneCallUv;

    @SerializedName("valid_phone_uv")
    private Long validPhoneUv;

    @SerializedName("potential_customer_phone_uv")
    private Long potentialCustomerPhoneUv;

    @SerializedName("web_register_uv")
    private Long webRegisterUv;

    @SerializedName("web_apply_uv")
    private Long webApplyUv;

    @SerializedName("web_credit_uv")
    private Long webCreditUv;

    @SerializedName("app_apply_uv")
    private Long appApplyUv;

    @SerializedName("app_pre_credit_uv")
    private Long appPreCreditUv;

    @SerializedName("app_credit_uv")
    private Long appCreditUv;

    @SerializedName("app_withdraw_uv")
    private Long appWithdrawUv;

    @SerializedName("wechat_app_register_uv")
    private Long wechatAppRegisterUv;

    @SerializedName("no_interest_count")
    private Long noInterestCount;

    @SerializedName("first_day_order_count")
    private Long firstDayOrderCount;

    @SerializedName("first_day_order_amount")
    private Long firstDayOrderAmount;

    @SerializedName("add_wishlist_count")
    private Long addWishlistCount;

    @SerializedName("video_outer_play10_count")
    private Long videoOuterPlay10Count;

    @SerializedName("video_outer_play25_count")
    private Long videoOuterPlay25Count;

    @SerializedName("video_outer_play50_count")
    private Long videoOuterPlay50Count;

    @SerializedName("video_outer_play75_count")
    private Long videoOuterPlay75Count;

    @SerializedName("video_outer_play95_count")
    private Long videoOuterPlay95Count;

    @SerializedName("video_outer_play100_count")
    private Long videoOuterPlay100Count;

    @SerializedName("video_outer_play_time_count")
    private Double videoOuterPlayTimeCount;

    @SerializedName("video_outer_play_time_avg_rate")
    private Double videoOuterPlayTimeAvgRate;

    @SerializedName("video_outer_play_rate")
    private Double videoOuterPlayRate;

    @SerializedName("video_outer_play_cost")
    private Long videoOuterPlayCost;

    @SerializedName("video_outer_play_count")
    private Long videoOuterPlayCount;

    @SerializedName("video_outer_play3s_count")
    private Long videoOuterPlay3sCount;

    @SerializedName("video_outer_play5s_count")
    private Long videoOuterPlay5sCount;

    @SerializedName("video_outer_play7s_count")
    private Long videoOuterPlay7sCount;

    @SerializedName("effect_leads_purchase_cost")
    private Long effectLeadsPurchaseCost;

    @SerializedName("cre_web_cost")
    private Long creWebCost;

    @SerializedName("cre_app_cost")
    private Long creAppCost;

    @SerializedName("pre_cre_web_cost")
    private Long preCreWebCost;

    @SerializedName("pre_cre_app_cost")
    private Long preCreAppCost;

    @SerializedName("store_visitor")
    private Long storeVisitor;

    @SerializedName("try_out_user")
    private Long tryOutUser;

    @SerializedName("consult_leave_info_users")
    private Long consultLeaveInfoUsers;

    @SerializedName("active_page_views")
    private Long activePageViews;

    @SerializedName("active_page_viewers")
    private Long activePageViewers;

    @SerializedName("active_page_interaction_amount")
    private Long activePageInteractionAmount;

    @SerializedName("active_page_interaction_users")
    private Long activePageInteractionUsers;

    @SerializedName("join_chat_group_amount")
    private Long joinChatGroupAmount;

    @SerializedName("join_chat_group_number_of_people")
    private Long joinChatGroupNumberOfPeople;

    @SerializedName("join_chat_group_cost_by_people")
    private Long joinChatGroupCostByPeople;

    @SerializedName("guide_to_follow_page_views")
    private Long guideToFollowPageViews;

    @SerializedName("guide_to_follow_page_viewers")
    private Long guideToFollowPageViewers;

    @SerializedName("guide_to_follow_page_interaction_amount")
    private Long guideToFollowPageInteractionAmount;

    @SerializedName("guide_to_follow_page_interaction_users")
    private Long guideToFollowPageInteractionUsers;

    @SerializedName("mini_game_register_users")
    private Long miniGameRegisterUsers;

    @SerializedName("mini_game_register_cost")
    private Long miniGameRegisterCost;

    @SerializedName("mini_game_register_rate")
    private Double miniGameRegisterRate;

    @SerializedName("mini_game_ad_monetization_users")
    private Long miniGameAdMonetizationUsers;

    @SerializedName("mini_game_paying_count")
    private Long miniGamePayingCount;

    @SerializedName("mini_game_paying_amount")
    private Long miniGamePayingAmount;

    @SerializedName("mini_game_first_paying_users")
    private Long miniGameFirstPayingUsers;

    @SerializedName("mini_game_create_role_users")
    private Long miniGameCreateRoleUsers;

    @SerializedName("mini_game_create_role_cost")
    private Long miniGameCreateRoleCost;

    @SerializedName("mini_game_retention_d1")
    private Long miniGameRetentionD1;

    @SerializedName("mini_game_key_page_viewers")
    private Long miniGameKeyPageViewers;

    @SerializedName("mini_game_key_page_view_cost")
    private Long miniGameKeyPageViewCost;

    @SerializedName("mini_game_ad_monetization_amount")
    private Long miniGameAdMonetizationAmount;

    @SerializedName("mini_game_paying_amount_by_upload")
    private Long miniGamePayingAmountByUpload;

    @SerializedName("mini_game_paying_count_by_upload")
    private Long miniGamePayingCountByUpload;

    @SerializedName("consult_leave_info_cost")
    private Long consultLeaveInfoCost;

    @SerializedName("purchase_amount_with_coupon")
    private Long purchaseAmountWithCoupon;

    @SerializedName("purchase_amount_with_coupon_cost")
    private Long purchaseAmountWithCouponCost;

    @SerializedName("mini_game_paying_amount_click_d1_by_upload")
    private Long miniGamePayingAmountClickD1ByUpload;

    @SerializedName("mini_game_retention_d1_rate")
    private Double miniGameRetentionD1Rate;

    @SerializedName("mini_game_retention_d1_cost")
    private Long miniGameRetentionD1Cost;

    @SerializedName("key_page_view_rate")
    private Double keyPageViewRate;

    @SerializedName("wechat_cost_stage1")
    private Long wechatCostStage1;

    @SerializedName("wechat_cost_stage2")
    private Long wechatCostStage2;

    @SerializedName("wechat_deep_conversions_count_stage1")
    private Long wechatDeepConversionsCountStage1;

    @SerializedName("wechat_deep_conversions_count_stage2")
    private Long wechatDeepConversionsCountStage2;

    @SerializedName("wechat_shallow_conversions_count_stage1")
    private Long wechatShallowConversionsCountStage1;

    @SerializedName("wechat_shallow_conversions_count_stage2")
    private Long wechatShallowConversionsCountStage2;

    @SerializedName("activate_register_rate")
    private Double activateRegisterRate;

    @SerializedName("key_behavior_conversions_count")
    private Long keyBehaviorConversionsCount;

    @SerializedName("key_behavior_conversions_cost")
    private Long keyBehaviorConversionsCost;

    @SerializedName("key_behavior_conversions_rate")
    private Double keyBehaviorConversionsRate;

    @SerializedName("first_day_order_roi")
    private Double firstDayOrderRoi;

    @SerializedName("mini_game_ad_monetization_cost")
    private Long miniGameAdMonetizationCost;

    @SerializedName("mini_game_ad_monetization_roi")
    private Double miniGameAdMonetizationRoi;

    @SerializedName("mini_game_ad_monetization_arpu")
    private Long miniGameAdMonetizationArpu;

    @SerializedName("mini_game_paying_roi")
    private Double miniGamePayingRoi;

    @SerializedName("mini_game_paying_arpu")
    private Long miniGamePayingArpu;

    @SerializedName("request_conversions_count")
    private Long requestConversionsCount;

    @SerializedName("request_conversions_cost")
    private Long requestConversionsCost;

    @SerializedName("income_val_1")
    private Long incomeVal1;

    @SerializedName("income_val_3")
    private Long incomeVal3;

    @SerializedName("income_val_7")
    private Long incomeVal7;

    @SerializedName("income_val_14")
    private Long incomeVal14;

    @SerializedName("income_roi_1")
    private Double incomeRoi1;

    @SerializedName("income_roi_3")
    private Double incomeRoi3;

    @SerializedName("income_roi_7")
    private Double incomeRoi7;

    @SerializedName("income_roi_14")
    private Double incomeRoi14;

    @SerializedName("activated_total_payment_cost")
    private Long activatedTotalPaymentCost;

    @SerializedName("payment_amount_activated_d3")
    private Long paymentAmountActivatedD3;

    @SerializedName("payment_amount_activated_d7")
    private Long paymentAmountActivatedD7;

    @SerializedName("payment_amount_activated_d14")
    private Long paymentAmountActivatedD14;

    @SerializedName("payment_amount_activated_d30")
    private Long paymentAmountActivatedD30;

    @SerializedName("first_day_pay_count")
    private Long firstDayPayCount;

    @SerializedName("first_day_pay_cost")
    private Long firstDayPayCost;

    @SerializedName("first_day_first_pay_cost")
    private Long firstDayFirstPayCost;

    @SerializedName("first_day_first_pay_count")
    private Long firstDayFirstPayCount;

    @SerializedName("payment_cost_activated_d1")
    private Long paymentCostActivatedD1;

    @SerializedName("first_day_pay_amount")
    private Long firstDayPayAmount;

    @SerializedName("roi_activated_d1")
    private Double roiActivatedD1;

    @SerializedName("roi_activated_d3")
    private Double roiActivatedD3;

    @SerializedName("roi_activated_d7")
    private Double roiActivatedD7;

    @SerializedName("roi_activated_d14")
    private Double roiActivatedD14;

    @SerializedName("first_day_ad_pur_arppu_cost")
    private Long firstDayAdPurArppuCost;

    @SerializedName("first_day_pay_amount_arpu")
    private Long firstDayPayAmountArpu;

    @SerializedName("first_day_pay_amount_arppu")
    private Long firstDayPayAmountArppu;

    @SerializedName("roi_activated_d30")
    private Double roiActivatedD30;

    @SerializedName("first_day_first_pay_rate")
    private Double firstDayFirstPayRate;

    @SerializedName("mini_game_first_day_ad_monetization_users")
    private Long miniGameFirstDayAdMonetizationUsers;

    @SerializedName("mini_game_first_day_ad_monetization_amount")
    private Long miniGameFirstDayAdMonetizationAmount;

    @SerializedName("mini_game_first_day_ad_paying_cost")
    private Long miniGameFirstDayAdPayingCost;

    @SerializedName("mini_game_income_roi_1")
    private Double miniGameIncomeRoi1;

    @SerializedName("mini_game_first_day_ad_paying_arpu")
    private Long miniGameFirstDayAdPayingArpu;

    @SerializedName("mini_game_paying_users_d1")
    private Long miniGamePayingUsersD1;

    @SerializedName("mini_game_paying_amount_d1")
    private Long miniGamePayingAmountD1;

    @SerializedName("mini_game_first_day_paying_roi")
    private Double miniGameFirstDayPayingRoi;

    @SerializedName("mini_game_paying_amount_d1_by_upload")
    private Long miniGamePayingAmountD1ByUpload;

    @SerializedName("mixed_monetization_roi_d1")
    private Double mixedMonetizationRoiD1;

    @SerializedName("mixed_monetization_roi_d3")
    private Double mixedMonetizationRoiD3;

    @SerializedName("mixed_monetization_roi_d7")
    private Double mixedMonetizationRoiD7;

    @SerializedName("mixed_monetization_roi_d14")
    private Double mixedMonetizationRoiD14;

    @SerializedName("mini_game_mixed_monetization_roi_d1")
    private Double miniGameMixedMonetizationRoiD1;

    @SerializedName("mini_game_mixed_monetization_roi_d1_by_reporting")
    private Double miniGameMixedMonetizationRoiD1ByReporting;

    @SerializedName("mini_game_mixed_monetization_roi_d3")
    private Double miniGameMixedMonetizationRoiD3;

    @SerializedName("mini_game_mixed_monetization_roi_d3_by_reporting")
    private Double miniGameMixedMonetizationRoiD3ByReporting;

    @SerializedName("mini_game_mixed_monetization_roi_d7")
    private Double miniGameMixedMonetizationRoiD7;

    @SerializedName("mini_game_mixed_monetization_roi_d7_by_reporting")
    private Double miniGameMixedMonetizationRoiD7ByReporting;

    @SerializedName("mini_game_mixed_monetization_roi_d14")
    private Double miniGameMixedMonetizationRoiD14;

    @SerializedName("mini_game_mixed_monetization_roi_d14_by_reporting")
    private Double miniGameMixedMonetizationRoiD14ByReporting;

    @SerializedName("ad_paying_users_d1")
    private Long adPayingUsersD1;

    @SerializedName("ad_paying_cost_d1")
    private Long adPayingCostD1;

    @SerializedName("ad_pur_arpu_cost_d1")
    private Long adPurArpuCostD1;

    @SerializedName("ad_monetization_penetration_rat_d1")
    private Double adMonetizationPenetrationRatD1;

    @SerializedName("mini_game_paying_arpu_d1")
    private Long miniGamePayingArpuD1;

    @SerializedName("web_add_to_cart_count")
    private Long webAddToCartCount;

    @SerializedName("web_add_to_cart_cost")
    private Long webAddToCartCost;

    @SerializedName("preview_conversions_count")
    private Long previewConversionsCount;

    @SerializedName("preview_deep_conversions_count")
    private Long previewDeepConversionsCount;

    @SerializedName("promoted_object_type")
    private String promotedObjectType;

    @SerializedName("promoted_object_id")
    private String promotedObjectId;

    @SerializedName("nickname_click_user_count")
    private Long nicknameClickUserCount;

    @SerializedName("poi_click_user_count")
    private Long poiClickUserCount;

    @SerializedName("platform_key_page_view_user_count")
    private Long platformKeyPageViewUserCount;

    @SerializedName("platform_key_page_avg_view_per_user")
    private Double platformKeyPageAvgViewPerUser;

    @SerializedName("platform_key_page_view_duration")
    private Double platformKeyPageViewDuration;

    @SerializedName("cpn_click_button_cost")
    private Long cpnClickButtonCost;

    @SerializedName("praise_user_count")
    private Long praiseUserCount;

    @SerializedName("comment_user_count")
    private Long commentUserCount;

    @SerializedName("order_count")
    private Long orderCount;

    @SerializedName("order_rate")
    private Double orderRate;

    @SerializedName("quest_reservation_pv_cost")
    private Long questReservationPvCost;

    @SerializedName("leads_rate")
    private Double leadsRate;

    @SerializedName("leads_user_count")
    private Long leadsUserCount;

    @SerializedName("leads_cost")
    private Long leadsCost;

    @SerializedName("leads_user_rate")
    private Double leadsUserRate;

    @SerializedName("valid_leads_cost")
    private Long validLeadsCost;

    @SerializedName("valid_leads_rate")
    private Double validLeadsRate;

    @SerializedName("page_consult_user_count")
    private Long pageConsultUserCount;

    @SerializedName("valid_page_consult_user_count")
    private Long validPageConsultUserCount;

    @SerializedName("withdr_dep_web_user_count")
    private Long withdrDepWebUserCount;

    @SerializedName("wechat_minigame_register_cost")
    private Long wechatMinigameRegisterCost;

    @SerializedName("wechat_minigame_register_rate")
    private Double wechatMinigameRegisterRate;

    @SerializedName("wechat_minigame_arpu")
    private Double wechatMinigameArpu;

    @SerializedName("wechat_minigame_retention_count")
    private Long wechatMinigameRetentionCount;

    @SerializedName("wechat_minigame_checkout_count")
    private Long wechatMinigameCheckoutCount;

    @SerializedName("wechat_minigame_checkout_amount")
    private Long wechatMinigameCheckoutAmount;

    @SerializedName("official_account_follow_count")
    private Long officialAccountFollowCount;

    @SerializedName("official_account_follow_cost")
    private Long officialAccountFollowCost;

    @SerializedName("official_account_follow_rate")
    private Double officialAccountFollowRate;

    @SerializedName("official_account_register_user_count")
    private Long officialAccountRegisterUserCount;

    @SerializedName("official_account_register_rate")
    private Double officialAccountRegisterRate;

    @SerializedName("official_account_register_cost")
    private Long officialAccountRegisterCost;

    @SerializedName("official_account_register_amount")
    private Long officialAccountRegisterAmount;

    @SerializedName("official_account_register_roi")
    private Long officialAccountRegisterRoi;

    @SerializedName("official_account_apply_count")
    private Long officialAccountApplyCount;

    @SerializedName("official_account_apply_user_count")
    private Long officialAccountApplyUserCount;

    @SerializedName("official_account_apply_rate")
    private Double officialAccountApplyRate;

    @SerializedName("official_account_apply_cost")
    private Long officialAccountApplyCost;

    @SerializedName("official_account_apply_amount")
    private Long officialAccountApplyAmount;

    @SerializedName("official_account_apply_roi")
    private Long officialAccountApplyRoi;

    @SerializedName("official_account_order_count")
    private Long officialAccountOrderCount;

    @SerializedName("official_account_first_day_order_count")
    private Long officialAccountFirstDayOrderCount;

    @SerializedName("official_account_order_user_count")
    private Long officialAccountOrderUserCount;

    @SerializedName("official_account_order_rate")
    private Double officialAccountOrderRate;

    @SerializedName("official_account_order_cost")
    private Long officialAccountOrderCost;

    @SerializedName("official_account_order_amount")
    private Long officialAccountOrderAmount;

    @SerializedName("official_account_first_day_order_amount")
    private Long officialAccountFirstDayOrderAmount;

    @SerializedName("official_account_order_roi")
    private Long officialAccountOrderRoi;

    @SerializedName("official_account_consult_count")
    private Long officialAccountConsultCount;

    @SerializedName("official_account_reader_count")
    private Long officialAccountReaderCount;

    @SerializedName("official_account_credit_apply_user_count")
    private Long officialAccountCreditApplyUserCount;

    @SerializedName("official_account_credit_user_count")
    private Long officialAccountCreditUserCount;

    @SerializedName("coupon_get_cost")
    private Long couponGetCost;

    @SerializedName("coupon_get_rate")
    private Double couponGetRate;

    @SerializedName("coupon_use_count")
    private Long couponUseCount;

    @SerializedName("forward_user_count")
    private Long forwardUserCount;

    @SerializedName("video_outer_play_user_count")
    private Long videoOuterPlayUserCount;

    @SerializedName("video_inner_play_user_count")
    private Long videoInnerPlayUserCount;

    @SerializedName("poi_id")
    private String poiId;
}
