package flink.zanxiangnet.ad.monitoring.util.bean;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.lang.reflect.Field;
import java.lang.reflect.Method;

/**
 * @Author wcc
 * @Date 2020/12/3 16:08
 * @Version 1.0
 * @Description excel中列的信息
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class FieldInfo {
    /**
     * 字段名
     */
    private String fieldName;
    /**
     * 数据库中的列名
     */
    private String columnName;

    private Class<?> fieldType;
    /**
     * 数据库中保存的类型
     */
    private DataTypeEnum columnType;

    private Field field;

    private Method getMethod;

    private Method setMethod;
}
