package flink.zanxiangnet.ad.monitoring.pojo;

import lombok.Data;

import java.time.LocalDate;

@Data
public class AdInfo {

    /**
     * 统计时间
     */
    private Long statTime;

    /**
     * 统计的日期
     */
    private LocalDate statDay;

    /**
     * 统计的小时
     */
    private Integer hour;

    /**
     * 腾讯广告应用的账号 id
     */
    private Long accountId;

    /**
     * 计划 id
     */
    private Long campaignId;

    /**
     * 服务商账号 id
     */
    private Long agencyAccountId;

    /**
     * 微信账号id
     */
    private String wechatAccountId;

    /**
     * 微信服务商id
     */
    private String wechatAgencyId;

    /**
     * 广告组 id
     */
    private Long adgroupId;

    /**
     * 广告 id
     */
    private Long adId;

    /**
     * 统计信息
     */
    private StatInfo statInfo;
}
